Skip to content

upsertBatchProperty

WRITE

Upsert batch property.

POST /api/v1/inventory/upsertBatchProperty
curl -X POST '<your-host>/api/v1/inventory/upsertBatchProperty' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "label": "string",
    "dataType": "text"
  }'

Parameters

ParameterType
"text""numeric""boolean""list""date"
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "label": {
      "type": "string",
      "minLength": 1
    },
    "dataType": {
      "type": "string",
      "enum": [
        "text",
        "numeric",
        "boolean",
        "list",
        "date"
      ]
    },
    "listOptions": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    },
    "configurationParameterGroupId": {
      "type": "string"
    }
  },
  "required": [
    "itemId",
    "label",
    "dataType"
  ]
}